import Vue from 'vue'
// 引入公共样式
import '../../static/css/global.less'
// 引入nprogress进度条
import 'nprogress/nprogress.css'
import Print from '../views/utils/Print'
// import VueSignature from "vue-signature-pad";
// 引入antd
import { Button, Layout, Menu,
    Icon, Row, Col, Spin, Card,
    ConfigProvider, Select, Form,
    DatePicker, Table, Pagination,
    Divider, Tabs, List,
    Tooltip,Tree, Input,
    FormModel,Descriptions,Modal,
    Steps,TreeSelect,Cascader,
    Dropdown,Popconfirm,TimePicker,
    Radio,Checkbox,Upload,
    Switch,Progress,Alert,
    Message, Popover,Badge,Tag
} from 'ant-design-vue';

// 设置ant日期选择框为中文样式
import moment from 'moment'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')

/*Message.config({
    top: `80px`,
    duration: 2,
});*/
Vue.use(Print)
Vue.use(Button)
Vue.use(Layout)
Vue.use(Menu)
Vue.use(Icon)
Vue.use(Row)
Vue.use(Col)
Vue.use(Spin)
Vue.use(Card)
Vue.use(Select)
Vue.use(Form)
Vue.use(DatePicker)
Vue.use(ConfigProvider)
Vue.use(Table)
Vue.use(Pagination)
Vue.use(Divider)
Vue.use(Tabs)
Vue.use(List)
Vue.use(Tooltip)
Vue.use(Tree)
Vue.use(Input)
Vue.use(FormModel)
Vue.use(Descriptions)
Vue.use(Modal)
Vue.use(Steps)
Vue.use(TreeSelect)
Vue.use(Cascader)
Vue.use(Dropdown)
Vue.use(Popconfirm)
Vue.use(TimePicker)
Vue.use(Radio)
Vue.use(Checkbox)
Vue.use(Upload)
Vue.use(Switch)
Vue.use(Progress)
Vue.use(Alert)
Vue.use(Message)
Vue.use(Popover)
Vue.use(Badge)
Vue.use(Tag)
// Vue.use(VueSignature)//签字画板
